Subject: What's your take on this?

From: <[email-masked]>
Date: Tue, 16 Oct 2007 17:12:14 -0500

Canadian Concept To Revolutionize US Used Car Market.

Exit Only, Inc.
E X T O
Current Price: $ 0.43

Canada saw its first glace of text4cars.com back in May of this year.
Its free listing and "pay only for results" policy has rocked Canada and
exceeded all its marketing goals months ahead of time. Results in the US
are expected to mirror the success of the Canadian launch. A whole new
fee structure is what is bringing sellers to the site. Free listings and
no hidden fees, only pay for actual interested buyer's info at $2 per
lead. Tuesday morning early, EXTO announced it is already tested and set
to launch the new US site ahead of schedule. EXTO has climbed over 100%
since Septembers news release, and now as this hits the US market it
will explode. Set your buy for EXTO first thing Wed morning.